Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.1.2   

Resolution: Fixed Affected version:  

Description

#27672 makes it possible to select the display columns for the Gantt.

However, if you use MS Edge Legacy (old version), you can select columns, but only the default columns (Status, Priority, Assignee,

Updated) are displayed and other selected columns (e.g. Spent time) are not displayed.

The following patch resolves this issue.

diff --git a/app/views/queries/_columns.html.erb b/app/views/queries/_columns.html.erb

index c5d14190e..18443de57 100644

--- a/app/views/queries/_columns.html.erb

+++ b/app/views/queries/_columns.html.erb

@@ -36,7 +36,7 @@

 <%= javascript_tag do %>

 $(document).ready(function(){

   $('.query-columns').closest('form').submit(function(){

-    $('#<%= selected_tag_id %> option').prop('selected', true);

+    $('#<%= selected_tag_id %> option:not(:disabled)').prop('selected', true);

   });

 });

 <% end %>

Related issues:

Related to Redmine - Feature #27672: Show selected columns in gantt chart Closed

Associated revisions

Revision 19899 - 2020-07-13 14:24 - Go MAEDA

Fix that selected gantt columns are not displayed with MS Edge Legacy (#33724).

Patch by Yuichi HARADA.

Revision 19900 - 2020-07-14 09:57 - Go MAEDA

Merged r19899 from trunk to 4.1-stable (#33724).

History

#1 - 2020-07-13 10:42 - Go MAEDA

- Subject changed from Gantt: Not displayed even if the columns are selected (MS Edge Legacy) to Selected gantt columns are not displayed with MS

Edge Legacy

- Status changed from New to Confirmed

- Target version set to 4.1.2

I have confirmed the issue and the attached patch fixes it. Setting the target version to 4.1.2.

#2 - 2020-07-13 14:17 - Go MAEDA

- Related to Feature #27672: Show selected columns in gantt chart added

#3 - 2020-07-13 14:24 - Go MAEDA

- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#4 - 2020-07-14 09:57 - Go MAEDA

- Status changed from Resolved to Closed
